#ifndef __UFO_LAMINO_BP_TASK_H
#define __UFO_LAMINO_BP_TASK_H

#include <ufo/ufo.h>

G_BEGIN_DECLS

#define UFO_TYPE_LAMINO_BP_TASK             (ufo_lamino_bp_task_get_type())
#define UFO_LAMINO_BP_TASK(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), UFO_TYPE_LAMINO_BP_TASK, UfoLaminoBpTask))
#define UFO_IS_LAMINO_BP_TASK(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), UFO_TYPE_LAMINO_BP_TASK))
#define UFO_LAMINO_BP_TASK_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), UFO_TYPE_LAMINO_BP_TASK, UfoLaminoBpTaskClass))
#define UFO_IS_LAMINO_BP_TASK_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), UFO_TYPE_LAMINO_BP_TASK))
#define UFO_LAMINO_BP_TASK_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), UFO_TYPE_LAMINO_BP_TASK, UfoLaminoBpTaskClass))

typedef struct _UfoLaminoBpTask           UfoLaminoBpTask;
typedef struct _UfoLaminoBpTaskClass      UfoLaminoBpTaskClass;
typedef struct _UfoLaminoBpTaskPrivate    UfoLaminoBpTaskPrivate;

/**
 * UfoLaminoBpTask:
 *
 * Main object for organizing filters. The contents of the #UfoLaminoBpTask structure
 * are private and should only be accessed via the provided API.
 */
struct _UfoLaminoBpTask {
    /*< private >*/
    UfoTaskNode parent_instance;

    UfoLaminoBpTaskPrivate *priv;
};

/**
 * UfoLaminoBpTaskClass:
 *
 * #UfoLaminoBpTask class
 */
struct _UfoLaminoBpTaskClass {
    /*< private >*/
    UfoTaskNodeClass parent_class;
};

UfoNode  *ufo_lamino_bp_task_new       (void);
GType     ufo_lamino_bp_task_get_type  (void);

G_END_DECLS

#endif
