#ifndef __UFO_LAMINO_RAMP_TASK_H
#define __UFO_LAMINO_RAMP_TASK_H

#include <ufo/ufo.h>

G_BEGIN_DECLS

#define UFO_TYPE_LAMINO_RAMP_TASK             (ufo_lamino_ramp_task_get_type())
#define UFO_LAMINO_RAMP_TASK(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), UFO_TYPE_LAMINO_RAMP_TASK, UfoLaminoRampTask))
#define UFO_IS_LAMINO_RAMP_TASK(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), UFO_TYPE_LAMINO_RAMP_TASK))
#define UFO_LAMINO_RAMP_TASK_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), UFO_TYPE_LAMINO_RAMP_TASK, UfoLaminoRampTaskClass))
#define UFO_IS_LAMINO_RAMP_TASK_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), UFO_TYPE_LAMINO_RAMP_TASK))
#define UFO_LAMINO_RAMP_TASK_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), UFO_TYPE_LAMINO_RAMP_TASK, UfoLaminoRampTaskClass))

typedef struct _UfoLaminoRampTask           UfoLaminoRampTask;
typedef struct _UfoLaminoRampTaskClass      UfoLaminoRampTaskClass;
typedef struct _UfoLaminoRampTaskPrivate    UfoLaminoRampTaskPrivate;

/**
 * UfoLaminoRampTask:
 *
 * Main object for organizing filters. The contents of the #UfoLaminoRampTask structure
 * are private and should only be accessed via the provided API.
 */
struct _UfoLaminoRampTask {
    /*< private >*/
    UfoTaskNode parent_instance;

    UfoLaminoRampTaskPrivate *priv;
};

/**
 * UfoLaminoRampTaskClass:
 *
 * #UfoLaminoRampTask class
 */
struct _UfoLaminoRampTaskClass {
    /*< private >*/
    UfoTaskNodeClass parent_class;
};

UfoNode  *ufo_lamino_ramp_task_new       (void);
GType     ufo_lamino_ramp_task_get_type  (void);

G_END_DECLS

#endif
