from gi.repository import Ufo


path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
	 '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.Graph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)

ramp   = pm.get_filter('laminoramp')
writer = pm.get_filter('writer')

ramp.set_properties(width=4096, fwidth=1458, height=2048, theta=1.0921048, tau=0.3)
writer.set_properties(prefix='rmp', path='out')

g.connect_filters(ramp, writer)

s.run(g)


