from gi.repository import Ufo

path = [ '/home/timurttv/_UFO-Project/git_framework3/lamino-filters-installed/lib/ufo',
         '/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo' ]

conf = Ufo.Configuration(paths=path)
g    = Ufo.Graph()
pm   = Ufo.PluginManager(configuration=conf)
s    = Ufo.Scheduler(configuration=conf)

reader = pm.get_filter('reader')
scale  = pm.get_filter('scale')
writer = pm.get_filter('writer')

reader.set_properties(path='/home/vogelgesang/data/bug/sinograms/*.tif', count=5)
scale.set_properties(scale=3.14)
writer.set_properties(prefix='scl', path='out')


g.connect_filters(reader, scale)
g.connect_filters(scale, writer)

s.run(g)


