from gi.repository import Ufo


path = ['/home/timurttv/_UFO-Project/git_framework3/ufo-filters-installed/lib/ufo']
config = Ufo.Configuration(paths=path)

graph = Ufo.Graph()
pm = Ufo.PluginManager(configuration=config)
s = Ufo.Scheduler(configuration=config)

reader = pm.get_filter('reader')
writer = pm.get_filter('writer')

reader.set_properties(path='/home/vogelgesang/data/bug/sinograms/*.tif', count=5)
writer.set_properties(prefix='trivia', path='out')

graph.connect_filters(reader, writer)


s.run(graph)



